<?php

#
# i-scream central monitoring system
# http://www.i-scream.org
# Copyright (C) 2000-2002 i-scream
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# Navigation for the i-scream graphs
# tim@i-scream.org
#
# CONFIGURABLE CONSTANTS: -

include("graphs_config.inc.php");

#
# END CONFIGURATION


include("iutils.inc.php");

?>

<? include($titleHTML); ?>

<hr weight="1" color="<? echo $lineColor ?>">

<b>Graphs available for these machines:</b>

<form method="<? echo $formMethod ?>" action="<? echo $thisPage ?>">
 <select size="1" name="machine_name">
  <? if ($machine_name) { ?>
    <option selected value="<? echo $machine_name ?>"><? echo $machine_name ?></option>
    <option value="">----------------</option>
  <? } else { ?>
    <option selected value="">[select machine]</option>
  <? } ?>
  <?
     $file_array = getdirArray($imgdir,'asort');
     foreach($file_array as $file_name) {
        if(is_dir("$imgdir/$file_name")) { ?>
            <option value="<? echo $file_name ?>"><? echo $file_name ?></option>
     <? }
     }
  ?>
 </select>

 <input type="submit" name="submit" value="Go">
</form>

<hr weight="1" color="<? echo $lineColor ?>">

<? if ($machine_name) { ?>
    
    <b>Available graphs for <? echo $machine_name ?></b>
    
    <form method="<? echo $formMethod ?>" action="<? echo $thisPage ?>">
     <select size="1" name="graph">
      <? if ($graph) { ?>
        <option selected value="<? echo $graph ?>"><? echo tidyName($machine_name, $graph) ?></option>
        <option value="">----------------</option>
      <? } else { ?>
        <option selected value="">[select graph]</option>
      <? } ?>
      <?
         $file_array = getdirArray("$imgdir/$machine_name",'asort');
         foreach($file_array as $file_name) {
            if(preg_match("/^(\S+)\-3h.png$/", $file_name, $matches)) { ?>
                <option value="<? echo $matches[1] ?>"><? echo tidyName($machine_name, $matches[1]) ?></option>
         <? }
         }
      ?>
     </select>
     
     <input type="hidden" name="machine_name" value="<? echo $machine_name ?>">
     <input type="submit" name="submit" value="Show">
    </form>
    
    <hr weight="1" color="<? echo $lineColor ?>">

<? } ?>

</p>


<?
    if ($submit == "Show" && $machine_name && $graph) {
        
      ?>
        <center><b>[<? echo $machine_name; ?>] - '<? echo tidyName($machine_name, $graph) ?>' graphs</b></center>
        
        <center>
         <p><b>Last 3 hours :</b><br><img border="0" src="<? echo "$imgwebdir/$machine_name/$graph-3h.png" ?>"></p>
         <p><b>Last day :</b><br><img border="0" src="<? echo "$imgwebdir/$machine_name/$graph-1d.png" ?>"></p>
         <p><b>Last week :</b><br><img border="0" src="<? echo "$imgwebdir/$machine_name/$graph-1w.png" ?>"></p>
         <p><b>Last month :</b><br><img border="0" src="<? echo "$imgwebdir/$machine_name/$graph-1m.png" ?>"></p>
         <p><b>Last year :</b><br><img border="0" src="<? echo "$imgwebdir/$machine_name/$graph-1y.png" ?>"></p>
        </center>
        
        <hr weight="1" color="<? echo $lineColor ?>">
        
        <b>Latest data</b>
        <p>
        Latest set of data received from 
        <a href="<? echo "latest.php?machine=$machine_name"; ?>"><?=$machine_name?></a>
        <br>
        Alerts for <a href="alerts.php?machine=<?=$machine_name?>"><?=$machine_name?></a>


        <hr weight="1" color="<? echo $lineColor ?>">
 <? }
    
?>

<? include($bottomHTML); ?>
