<?php

#
# i-scream central monitoring system
# http://www.i-scream.org
# Copyright (C) 2000-2002 i-scream
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# Navigation for the i-scream login timeline reports.
# pjm2@ukc.ac.uk
#
# CONFIGURABLE CONSTANTS: -

include("logins_config.inc.php");

#
# END CONFIGURATION




include("iutils.inc.php");

?>

<? include($titleHTML); ?>


<hr weight="1" color="<? echo $lineColor ?>">

<b>Most recent login timelines available</b>
<form method="<? echo $formMethod ?>" action="<? echo $thisPage ?>">
<?

    $file_array = getdirArray($reportDirectory,'rsort');
    print "<select size=\"1\" name=\"date\">";
    if ($date) { ?>
        <option selected value="<? echo $date ?>"><? echo $date ?></option>
        <option value="">----------------</option>
 <? }
    foreach($file_array as $file_name) {
        #if (is_dir($file_name)) {
        if (preg_match("/^[0-9]{4}\-[0-9]{2}\-[0-9]{2}$/", $file_name)) {
            $i++;
            print "<option value=\"$file_name\">$file_name</option>";
        }
    }
    print "</select>";

?>
 <input type="submit" name="submit" value="Go">
</form>

<hr weight="1" color="<? echo $lineColor ?>">

<? if ($date) { ?>

    <b>Available timelines for <? echo $date ?></b>

    <form method="<? echo $formMethod ?>" action="<? echo $thisPage ?>">
     <select size="1" name="machine">
      <? if ($machine) { ?>
        <option selected value="<? echo $machine ?>"><? echo $machine ?></option>
        <option value="">----------------</option>
      <? } else { ?>
        <option selected value="">[select machine]</option>
      <? } ?>
      <? include("$reportDirectory/$date/$machineNameHTML"); ?>
     </select>

     <input type="hidden" name="date" value="<? echo $date ?>">
     <input type="submit" name="submit" value="Show">
    </form>
    
    <hr weight="1" color="<? echo $lineColor ?>">
    
<? } ?>

    </p>

<? if ($date && $machine) { ?>

<table border="0" cellpadding="0" cellspacing="0">
 <tr>
  <td>&nbsp;</td>
  <td><img src="<?echo $scaleImage;?>" width="800" height="17" border="0"></td>
  <td>&nbsp;</td>
 </tr>

<?

    $flip = 0;
    $file_array = getdirArray("$reportDirectory/$date/$machine/login24",'asort');
    if ($file_array == FALSE) {
        print<<<EOT
        
        <tr>
         <td>&nbsp;</td>
         <td align="center" background="$backImage"><p>&nbsp;</p><p><b>No users were logged in during this period</b></p><p>&nbsp;</p></td>
         <td>&nbsp;</td>
        </tr>

EOT;
    }
    else {
        foreach($file_array as $file_name) {
            if (preg_match("/\.gif$/", $file_name)) {
                preg_match("/^(.*)\.gif$/", $file_name, $matches);
                $login = $matches[1];

                if ($flip == 1) {
                    $flip = 0;
                    $bg = " background=\"$backImage\"";
                }
                else {
                    $flip = 1;
                    $bg = " background=\"$backImage2\"";
                }

                print<<<EOT

                <tr>
                 <td><font size="2">$login</font></td>
                 <td$bg><img src="$webRoot/$date/$machine/login24/$file_name" border="0" width="800" height="5"></td>
                 <td><font size="2">$login</font></td>
                </tr>

EOT;
            }
        }
    }
    

?>

 <tr>
  <td>&nbsp;</td>
  <td><img src="<?echo $scaleImage;?>" width="800" height="17" border="0"></td>
  <td>&nbsp;</td>
 </tr>
</table>

<hr weight="1" color="<? echo $lineColor ?>">

<? } ?>

<? include($bottomHTML); ?>
